package asm

type Mnemonic uint8

const (
	NONE Mnemonic = iota
	MOVE
	SYSCALL
)

// String returns a human readable version.
func (m Mnemonic) String() string {
	switch m {
	case MOVE:
		return "move"

	case SYSCALL:
		return "syscall"
	}

	return "NONE"
}
